Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.server.common
Interface DataAccessPointInfo

All Known Implementing Classes:
  DefaultDataAccessPointInfo

public interface DataAccessPointInfo
extends java.io.Serializable

Provides access to meta-information related to a data access point used by the query. The data access points include relational sources, XML and CSV file sources, as well as web service, application view and stored procedure calls.

Method Summary
`long` | `getDataRetrievalTime()` The amount of time (in ms) spent in retrieving the data.
`long` | `getInvocationCount()` The number of times the statement, call or parser was invoked.
`java.lang.String` | `getName()`
`java.lang.String` | `getStatement()`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the data access point. It consists of two parts:
    1. a server-wide identifier, consisting of the logical name of the corresponding configuration entry.
    2. an intra-query identifier, consisting of a numeric tag used to distinguish between multiple instances of data access points of the same kind.

### getStatement

    public java.lang.String getStatement()

  Returns:
    The statement or call issued to the underlying data provider. Depending on the type of the data provider the method returns the following:
    - Relational sources: the SQL statement submitted to the RDBMS
    - Functional (call-based) sources: the name of the function call being invoked
    - File-based (XML, CSV) sources: "parser", denoting that the underlying content is extracted through the use of a parser.

### getDataRetrievalTime

    public long getDataRetrievalTime()

  The amount of time (in ms) spent in retrieving the data.

### getInvocationCount

    public long getInvocationCount()

  The number of times the statement, call or parser was invoked.

Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs81